
#define	INCL_WINSYS
#define INCL_WINSTDDLGS

#include <os2.h>

#include "multiwin.h"

ICON	    ID_WINDOW MultiWin.Ico

MENU ID_CHILD
BEGIN

    SUBMENU "~File",		       IDM_FILE, MIS_TEXT
    BEGIN
	MENUITEM "~Example Dialog...", IDM_EXAMPLE, MIS_TEXT
	MENUITEM SEPARATOR
	MENUITEM "E~xit\tF3",	       IDM_EXIT, MIS_TEXT
    END
END

MENU ID_WINDOW
BEGIN

    SUBMENU "~File",		       IDM_FILE, MIS_TEXT
    BEGIN
	MENUITEM "~Example dialog...", IDM_EXAMPLE, MIS_TEXT
	MENUITEM SEPARATOR
	MENUITEM "E~xit\tF3",	       IDM_EXIT, MIS_TEXT
    END

    SUBMENU "~Help",		       IDM_HELP, MIS_TEXT
    BEGIN
	MENUITEM "~Help for Help...",  IDM_HELPFORHELP,	MIS_TEXT
	MENUITEM "~Extended Help...",  IDM_EXTENDEDHELP, MIS_TEXT
	MENUITEM "~Keys Help...",      IDM_KEYSHELP, MIS_TEXT
	MENUITEM "Help ~Index...",     IDM_HELPINDEX, MIS_TEXT
	MENUITEM SEPARATOR
	MENUITEM "~About...",	       IDM_ABOUT, MIS_TEXT
    END
END

CODEPAGE 850
ACCELTABLE ID_WINDOW PRELOAD
BEGIN
    VK_F3,	IDM_EXIT, VIRTUALKEY
END

WINDOWTEMPLATE ID_WINDOW 850
BEGIN
    WINDOW "Multi-Window Example", ID_WINDOW, 10, 23, 343, 187,	WC_FRAME,
		FS_NOBYTEALIGN | FS_SIZEBORDER | WS_CLIPSIBLINGS | WS_SAVEBITS |
		WS_VISIBLE, FCF_TITLEBAR | FCF_SYSMENU | FCF_MENU | FCF_MINMAX |
		FCF_ACCELTABLE
    BEGIN
    END
END

WINDOWTEMPLATE ID_CHILDWIN 850
BEGIN
    WINDOW "Captive Child", ID_CHILDWIN, 52, 32, 105, 38, WC_FRAME,
		FS_NOBYTEALIGN | FS_BORDER | WS_CLIPSIBLINGS | WS_SAVEBITS |
		WS_VISIBLE, FCF_TITLEBAR | FCF_SYSMENU
    BEGIN
	CONTROL	"Button 1",	       PB_BUTTON1, 8, 20, 50, 12, WC_BUTTON,
					    BS_PUSHBUTTON | WS_TABSTOP |
					    WS_VISIBLE
	CONTROL	"Button 2",	       PB_BUTTON2, 36, 5, 50, 12, WC_BUTTON,
					    BS_PUSHBUTTON | WS_TABSTOP |
					    WS_VISIBLE
    END
END

DLGTEMPLATE DLG_EXAMPLE	850 MOVEABLE DISCARDABLE
BEGIN
    DIALOG "Example Dialog", DLG_EXAMPLE, 34, 52, 150, 51, FS_NOBYTEALIGN |
		FS_DLGBORDER | WS_CLIPSIBLINGS | WS_SAVEBITS | WS_VISIBLE,
		FCF_TITLEBAR | FCF_SYSMENU
    BEGIN
	CONTROL	"Example Dialog created by", -1, 15, 33, 116, 8, WC_STATIC,
					    SS_TEXT | WS_VISIBLE
	CONTROL	"Universal Resource Editor.", -1, 15, 25, 117, 8, WC_STATIC,
					    SS_TEXT | WS_VISIBLE
	CONTROL	"OK",		       DID_OK, 45, 5, 50, 12, WC_BUTTON,
					    BS_PUSHBUTTON | BS_DEFAULT |
					    WS_GROUP | WS_TABSTOP | WS_VISIBLE
    END
END

DLGTEMPLATE DLG_ABOUT 850 MOVEABLE DISCARDABLE
BEGIN
    DIALOG "", DLG_ABOUT, 40, 43, 145, 80, FS_NOBYTEALIGN | FS_DLGBORDER |
		WS_CLIPSIBLINGS	| WS_SAVEBITS |	WS_VISIBLE
    BEGIN
	CONTROL	ID_WINDOW,	       ID_WINDOW, 58, 50, 21, 16, WC_STATIC,
					    SS_ICON | WS_VISIBLE
	CONTROL	"Example About Box",   -1, 10, 30, 125,	8, WC_STATIC, SS_TEXT |
					    DT_CENTER |	WS_VISIBLE
	CONTROL	"OK",		       DID_OK, 45, 5, 50, 12, WC_BUTTON,
					    BS_PUSHBUTTON | BS_DEFAULT |
					    WS_TABSTOP | WS_VISIBLE
    END
END
